Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.math.noise
Class SimplexNoise

    java.lang.Object
      toxi.math.noise.SimplexNoise

    public class SimplexNoise

extends java.lang.Object

Simplex Noise in 2D, 3D and 4D. Based on the example code of this paper: http://staffwww.itn.liu.se/~stegu/simplexnoise/simplexnoise.pdf

Constructor Summary
`SimplexNoise()`

Method Summary
`static double` | `noise(double x, double y)` Computes 2D Simplex Noise.
`static double` | `noise(double x, double y, double z)` Computes 3D Simplex Noise.
`static double` | `noise(double x, double y, double z, double w)` Computes 4D Simplex Noise.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplexNoise

    public SimplexNoise()

Method Detail

### noise

    public static double noise(double x,
                               double y)

  Computes 2D Simplex Noise.

  Parameters:
    `x` - coordinate
    `y` - coordinate
  Returns:
    noise value in range -1 ... +1.

### noise

    public static double noise(double x,
                               double y,
                               double z)

  Computes 3D Simplex Noise.

  Parameters:
    `x` - coordinate
    `y` - coordinate
    `z` - coordinate
  Returns:
    noise value in range -1 ... +1

### noise

    public static double noise(double x,
                               double y,
                               double z,
                               double w)

  Computes 4D Simplex Noise.

  Parameters:
    `x` - coordinate
    `y` - coordinate
    `z` - coordinate
    `w` - coordinate
  Returns:
    noise value in range -1 ... +1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD